Subject: bug#43397: 28.0.50; Adding tool bar items: update tool bar

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 May 2022 19:49:10 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  Eli Zaretskii <[email-masked]>,  Caio Henrique
>  <[email-masked]>
> Date: Tue, 03 May 2022 18:19:57 +0200
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > Hm...  poking around in that code, I don't quite follow how this is all
> > supposed to be hooked up, or which caches should be flushed.  Does the
> > crystal ball have more insights?
> 
> Well, actually, that's not really material.  We just have to flush the
> cache after adding elements, so I've now done that in Emacs 29, and that
> makes the tool bar item show up immediately.

With what recipe?  If I evaluate the below by "C-x C-e" after the
right parenthesis:

  (tool-bar-add-item-from-menu 'undo-redo "redo" nil :vert-only t)

it doesn't show up immediately here, I need at least to type "M-x",
and sometimes also C-g or something else.